<?php	
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| SH CSS Navigation Panel v3.0 for PHP-Fusion v7.02.01
| Copyright  2008-2011 Stephan Hansson (StarglowOne)
| http://www.starglowone.eu/
+--------------------------------------------------------+
| Filename: sh_css_navigation_panel.php
| Author: Stephan Hansson (StarglowOne)
| Original Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

/* Settings START */
define("NAV_TYPE", "click"); // mouse over or click to open (mouse / click)
define("NAV_CSPEED", "300"); // Speed for the click menu to fold out, default 300
define("NAV_MSPEED", "1000"); // Speed for the mouse over menu to fold out, default 500
/* Settings END */

if(NAV_TYPE == "click") {
echo '<script type="text/javascript">
jQuery(document).ready(function(){
	//slides the element with class "navigation_body" when paragraph with h2 is clicked 
	jQuery("#navigation h2.navigation_head").click(function() {
		jQuery(this).css({backgroundImage:"url('.get_image('down').')"}).next("div.navigation_body").slideToggle(300).siblings("div.navigation_body").slideUp("slow");
		
		jQuery(this).css({backgroundRepeat:"no-repeat"});

		jQuery(this).siblings("h2.navigation_head").css({backgroundImage:"url('.get_image('left').')"});
		 
		 jQuery(this).siblings("h2.navigation_head").css({backgroundPosition:"center right"});
		 jQuery(this).siblings("h2.navigation_head").css({backgroundRepeat:"no-repeat"});
	});
});
</script>';
}
if(NAV_TYPE == "mouse") {
echo '<script type="text/javascript">
jQuery(document).ready(function(){
	//slides the element with class "navigation_body" when mouse is over the paragraph
	jQuery("#navigation h2.navigation_head").mouseover(function() {
	     jQuery(this).css({backgroundImage:"url('.get_image('down').')"}).next("div.navigation_body").slideDown('.NAV_MSPEED.').siblings("div.navigation_body").slideUp("slow");

		 jQuery(this).css({backgroundRepeat:"no-repeat"});
		 
         jQuery(this).siblings("h2.navigation_head").css({backgroundImage:"url('.get_image('left').')"});
		 
		 jQuery(this).siblings("h2.navigation_head").css({backgroundPosition:"center right"});
		 jQuery(this).siblings("h2.navigation_head").css({backgroundRepeat:"no-repeat"});
	});
});
</script>';
}
add_to_head('<style type="text/css">
#navigation h2 {
	margin: 1px;
	background-image: url('.get_image('left').');
	background-position: center right;
	background-repeat: no-repeat;
}

#navigation h2:hover {
	cursor: pointer;
}

.navigation_head {
    background: url('.get_image('left').') center right no-repeat;
}

.navigation_body {
	display:none;
}
</style>');

$list_open = false;

openside($locale['global_001']);
$result = dbquery(
	"SELECT link_name, link_url, link_window, link_visibility FROM ".DB_SITE_LINKS."
	WHERE link_position='1' OR link_position='2' ORDER BY link_order"
);
if (dbrows($result)) {
	$i = 0;
	echo "<div id='navigation'>\n";
	while($data = dbarray($result)) {
		$li_class = ""; $i++;
		if (checkgroup($data['link_visibility'])) {
			if ($data['link_name'] != "---" && $data['link_url'] == "---") {
				if ($list_open) { echo "</ul></div>\n"; $list_open = false; }
				$imagename = strtolower(str_replace(" ","_",$data['link_name']));
				if (file_exists(INFUSIONS."sh_css_navigation_panel/images/".$imagename.".png")) {
					$nav_img = "<img src='".INFUSIONS."sh_css_navigation_panel/images/".$imagename.".png' border='0' alt='".$data['link_name']."' />&nbsp;\n";
				} else {
					$nav_img = "";
				}
				
				
				echo "<h2 class='navigation_head'>".$nav_img.parseubb($data['link_name'], "b|i|u|color|img")."</h2>\n";
				echo "<div class='navigation_body'>\n";
			} else if ($data['link_name'] == "---" && $data['link_url'] == "---") {
				if ($list_open) { echo "</ul></div>\n"; $list_open = false; }
				echo "";
			} else {
				if (!$list_open) { echo "<ul>\n"; $list_open = true; }
				$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
				if ($i == 1) { $li_class = "first-link"; }
				if (START_PAGE == $data['link_url']) { $li_class .= ($li_class ? " " : "")."current-link"; }
				if (preg_match("!^(ht|f)tp(s)?://!i", $data['link_url'])) {
					echo "<li".($li_class ? " class='".$li_class."'" : "").">\n";
					echo "<a href='".$data['link_url']."'".$link_target." class='side'>".THEME_BULLET."\n";
					echo "<span>".parseubb($data['link_name'], "b|i|u|color|img")."</span></a></li>\n";
				} else {
					echo "<li".($li_class ? " class='".$li_class."'" : "").">\n";
					echo "<a href='".BASEDIR.$data['link_url']."'".$link_target." class='side'>".THEME_BULLET."\n";
					echo "<span>".parseubb($data['link_name'], "b|i|u|color|img")."</span></a></li>\n";
				}
			}
		}
	}
	if ($list_open) { echo "</ul>\n"; }
	echo "</div>\n";
	echo "</div>\n";
} else {
	echo $locale['global_002'];
}
closeside();
?>